# NutUI-JDL
![npm version](https://img.shields.io/npm/v/@nutui/nutui-jdl.svg)  [![Build Status](https://api.travis-ci.org/jdf2e/nutui.svg?branch=nutui-jdl)](https://github.com/jdf2e/nutui/) [![Coverage Status](https://coveralls.io/repos/github/jdf2e/nutui/badge.svg?branch=nutui-jdl)](https://coveralls.io/github/jdf2e/nutui?branch=nutui-jdl) ![license](https://img.shields.io/npm/l/@nutui/nutui-jdl.svg)
 
京东物流风格移动端轻量级组件库
    
![NutUI](https://img11.360buyimg.com/uba/jfs/t1/11117/21/3608/18942/5c20ab52E35e5a500/02e3c1f89cd3dad1.png)

简体中文 | [English](./README.md)

## 特性

* 全新的架构
* 50+ 高质量组件
* 40+ 京东移动端项目正在使用
* 参照京东物流视觉规范
* 支持按需加载
* 详尽的文档和示例
* 支持定制主题
* 支持多语言（国际化）
* 支持 TypeScript
* 支持服务端渲染（Vue SSR）
* 单元测试加持
* 配套有基于Webpack的构建工具，可快速创建已内置本组件库的Vue工程 


## 支持环境

* Android 4.0+
* iOS 8.0+
* 支持 Vue 服务端渲染

## 版本

* 稳定版：[![npm](https://img.shields.io/npm/v/@nutui/nutui-jdl.svg)](https://www.npmjs.com/package/@nutui/nutui-jdl)

> 你还可以订阅： https://github.com/jdf2e/nutui/releases.atom 来获得稳定版发布的通知。

## 示例

![NutUI Demo](https://img12.360buyimg.com/imagetools/jfs/t1/124892/31/7144/6065/5f0d9fe4Ef020d678/cae78d015aa5897c.png)

## 安装使用

具体安装使用方法请参考 NutUI 官网 

https://nutui.jd.com

文档：[nutui](https://nutui.jd.com/) | [nutui-jdl](https://nutui.jd.com/jdl/)

## 链接
* [意见反馈](https://github.com/jdf2e/nutui/issues)
* [更新日志](https://github.com/jdf2e/nutui/releases)
* [案例征集](https://github.com/jdf2e/nutui/issues/16)
* [按需加载插件](https://www.npmjs.com/package/@nutui/babel-plugin-separate-import)
* [模板工程命令行工具(Gaea-cli)](https://github.com/jdf2e/Gaea4)
* 联系我们：nutui@jd.com


## 使用案例

NutUI 已经投入了我们的生产环境中使用，业界也在广泛地使用。

<img src="https://raw.githubusercontent.com/jdf2e/nutui-user-cases/master/user-cases.jpg" />

[征集更多优秀案例](https://github.com/jdf2e/nutui-user-cases)

## 开源协议

本项目基于 **MIT** 协议